<?php
/* Mantenimiento de los registros de la tabla ALM_ReservaItemStock redefinidos por el usaurio */
class ALM_ReservaItemStockDP extends BaseALM_ReservaItemStockDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( ReservaId ) IS NULL, 1, MAX( ReservaId ) + 1 ) i_Id  FROM ALM_ReservaItemStock;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>